<div class="row">
    <div class="col-md-12">
      <div class="card card-form pl-4 pr-2 py-4">
        <div class="card-header">
          <h4 class="card-title primary" id="striped-row-layout-icons">{{ routeTitle | translate }}</h4>
        </div>
        <div class="card-body">
          <div class="px-3">
            <form novalidate class="form form-horizontal form-bordered" [formGroup]="settingForm">
              <div class="form-body">
                <ng-container *ngIf="settings">
                  <div class="form-group row" *ngFor="let setting of settings.data['rows']; let i = index" [ngClass]="{'last': settings.data['rows'].length === i + 1}">
                    <label class="col-md-3 label-control">{{ setting.name }}</label>
                    <div class="col-md-6 pr-2">
                      <div class="position-relative" formGroupName="{{setting.code}}">
                        <input type="text" formControlName="value" (change)="hideShowButton(setting.code)" class="form-control">
                      </div>
                    </div>
                    <div class="col-md-3 buttons">
                      <button type="button" class="btn btn-raised btn-primary mb-0 ml-2" (click)="updateSetting(setting)" *ngIf="settingForm.get(setting.code).get('showButton').value">
                        {{ 'forms.buttons.save' | translate }}
                      </button>
                    </div>
                  </div>
                </ng-container>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>